%global gem_name openstack-quantum-client 
Name:		rubygem-%{gem_name}
Version:	0.1.5
Release:	9%{?dist}
Summary:	The main objective of this gem is to deal easily with openstack quantum

Group:		Development/Languages
License:	MIT
URL:		http://rubygems.org/gems/openstack-quantum-client
Source0:	https://rubygems.org/downloads/%{gem_name}-%{version}.gem

BuildRequires: ruby(release)

BuildRequires:	rubygems-devel
BuildRequires:	rubygem(fakeweb)
BuildRequires:	rubygem(rspec)
Requires:       ruby(release)
Requires:	rubygem(httparty)
BuildArch:	noarch
Provides:	rubygem(%{gem_name}) = %{version}

%description
A simple gem to deal with openstack quantum

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p ./%{gem_dir}

gem build %{gem_name}.gemspec

gem install -V \
	--local \
	--install-dir ./%{gem_dir} \
	--bindir ./%{_bindir} \
	--force \
	--rdoc \
	%{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
# Remove the unneeded shebang.
sed -i '1d' %{buildroot}%{gem_instdir}/Rakefile


%files
%dir %{gem_instdir}
%exclude %{gem_cache}
%exclude %{gem_instdir}/.yardoc
%{gem_libdir}
%{gem_instdir}/spec
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/openstack-quantum-client.gemspec
%doc %{gem_instdir}/README.markdown
%{gem_spec}

%files doc
%doc %{gem_docdir}

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 19 2013 Alejandro Pérez <aeperezt@fedoraproject.org> - 0.1.5-6
- Removed ruby abi dependance
* Wed Mar 13 2013 Alejandro Pérez <aeperezt@fedoraproject.org> - 0.1.5-5
- Updated fedora package rules
- Fix endif
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 29 2012 Alejandro Pérez <aeperezt@fedoraproject.org> - 0.1.5-3
- fix doc dir macro
* Sun Oct 15 2012 Alejandro Pérez <aeperezt@fedoraproject.org> - 0.1.5-2
- changed global variables
* Sun Sep 02 2012 Alejandro Pérez <aeperezt@fedoraproject.org> - 0.1.5-1
- Initial package

